Subject: RE: Flow label and its uses

From: "Vishwas Manral" <[email-masked]>
Date: Thu, 19 Jan 2006 22:48:53 -0800

Hi,

I agree flow-label if used as a direct one-to-one mapping to a flow
(protocol/ ports) can be of use. 

Especially in cases where the upper layer header cannot be derived -
encrypted input, fragments etc and the end-to-end nature of flow label
is there. 

This could be used as a selector instead of creating a new SA instead of
OPAQUE for the IPsec RFC4301 case. Changes would be required for RFC4306
for the same too. I am sure things like load balancing which require
deeper packet inspection can also be done.

Thanks,
Vishwas
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Brian E Carpenter
Sent: Thursday, January 19, 2006 7:52 PM
To: Pekka Savola
Cc: Bora Akyol; Fred Baker; [email-masked]
Subject: Re: Flow label and its uses

Pekka Savola wrote:
> Hi,
> 
> On Wed, 18 Jan 2006, Bora Akyol wrote:
> 
>> From a switching hardware perspective, it would be nice
>> to either define the use of this field as --endpoint only--
>> or label it "Reserved."
>>
>> There has been significant time since RFC3697 and the lack
>> of applications may indicate that this field (with
>> the exception of NIMROD) may not have a use at all.
> 
> 
> I've been watching this discussion with mild puzzlement.
> 
> There is (basically) nothing that the routers need to do with the flow

> label.  Whatever they might end up doing with it would likely mostly 
> fall under the control plane, so it doesn't need to be put in the
hardware.

No, that's wrong if it gets used in line speed QOS classifiers. That's
what I'd expect in load balancing.

    Brian
> 
> So what's the problem?  Do you want to try to reuse the "basically 
> unused 20 bits" for some local purposes?  That's not going to be
allowed.

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 20 Jan 2006 13:29:37 +0100

Vishwas Manral wrote:
>...  I am sure things like load balancing which require

The whole point is that you will not need deep packet inspection
if the flow label is set by the source.

    Brian